/* 
 *    python-cad, a GL rendered, python scripted drawing engine
 *                  Copyright (C) 2002 by
 *
 *      Jaime Soffer             (jsoffer@soffernet.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef IERROR_H
#define IERROR_H 1

// Temporal: FIXME (compilando con g++3.2 provoca errores)
#include <stdlib.h> // Para exit(3)

#include <kdebug.h>

class iError
{
 private:

 public:
  iError(void);
  virtual ~iError(void);

  void quit(const char* message);
  void check(void* memory);
};

#endif
